package com.realnet.imagegenerator.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.imagegenerator.Entity.Imagegenerator;
import com.realnet.imagegenerator.Services.ImagegeneratorService ;






@RequestMapping(value = "/Imagegenerator")
 @CrossOrigin("*") 
@RestController
public class ImagegeneratorController {
	@Autowired
	private ImagegeneratorService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Imagegenerator")
		  public Imagegenerator Savedata(@RequestBody Imagegenerator data) {
		Imagegenerator save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Imagegenerator/{id}")
	public  Imagegenerator update(@RequestBody Imagegenerator data,@PathVariable Integer id ) {
		Imagegenerator update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Imagegenerator/getall/page")
	public Page<Imagegenerator> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Imagegenerator> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Imagegenerator")
	public List<Imagegenerator> getdetails() {
		 List<Imagegenerator> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Imagegenerator")
	public List<Imagegenerator> getallwioutsec() {
		 List<Imagegenerator> get = Service.getdetails();		
		return get;
}
@GetMapping("/Imagegenerator/{id}")
	public  Imagegenerator  getdetailsbyId(@PathVariable Integer id ) {
		Imagegenerator  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Imagegenerator/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}